.\"	$NetBSD: teliosio.4,v 1.3 2006/02/07 19:33:21 wiz Exp $
.\"
.\" Copyright (c) 2005 Takeshi Nakayama.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 31, 2005
.Dt TELIOSIO 4 hpcmips
.Os
.Sh NAME
.Nm teliosio
.Nd driver for the Sharp Telios LCD screen and Battery unit
.Sh SYNOPSIS
.Cd "teliosio* at txcsbus1 regcs 13 regcswidth 16"
.Sh DESCRIPTION
The
.Nm
driver provides support for controlling brightness and power of the
LCD screen in Sharp Telios series machines.
.Pp
The default keymap binds
.Ao Li Ctrl Ac + Ao Li Alt Ac + Ao Ar arrowkey Ac
to control brightness with left and right arrow keys, and
.Ao Li Ctrl Ac + Ao Li Alt Ac + Ao Li space Ac
to toggle power of the LCD screen.
.Pp
The current status of the battery unit can be displayed via
.Xr apm 8 .
.Sh SEE ALSO
.Xr screenblank 1 ,
.Xr apm 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 3.0 .
